com.ivata.mask.web.struts
Class ListAction

java.lang.Object
  extended byorg.apache.struts.action.Action
      extended bycom.ivata.mask.web.struts.MaskAction
          extended bycom.ivata.mask.web.struts.ListAction

public class ListAction
extends MaskAction

Load the list for a given base class. The base class is specified in a request parameter, or may be specified in the request as a ListForm.

Since:
ivata masks 0.1 (2004-04-30)
Version:
$Revision: 1.7 $
Author:
Colin MacLeod colin.macleod@ivata.com

Field Summary
 
Fields inherited from class org.apache.struts.action.Action
defaultLocale, servlet
 
Constructor Summary
ListAction(com.ivata.mask.persistence.PersistenceManager persistenceManagerParam, com.ivata.mask.MaskFactory maskFactoryParam, MaskAuthenticator authenticatorParam)
           Create a new list action with the given value object locator.
 
Method Summary
 java.lang.String execute(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionErrors errors, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.http.HttpSession session)
          This method does all the hard work, preparing objects for display in the list.
 
Methods inherited from class com.ivata.mask.web.struts.MaskAction
clear, execute, getAuthenticator, getFromRequestOrForm, getFromRequestOrForm, getInputMask, getListMask, getMaskFactory, isCancelled, onConfirm, onDelete, setLogin
 
Methods inherited from class org.apache.struts.action.Action
addErrors, addMessages, execute, generateToken, getDataSource, getDataSource, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

ListAction

public ListAction(com.ivata.mask.persistence.PersistenceManager persistenceManagerParam,
                  com.ivata.mask.MaskFactory maskFactoryParam,
                  MaskAuthenticator authenticatorParam)

Create a new list action with the given value object locator.

Parameters:
persistenceManagerParam - used to locate the value objects by their shared base class.
maskFactoryParam - Refer to MaskAction.MaskAction(com.ivata.mask.MaskFactory, com.ivata.mask.web.struts.MaskAuthenticator).
authenticatorParam - Refer to MaskAction.MaskAction(com.ivata.mask.MaskFactory, com.ivata.mask.web.struts.MaskAuthenticator).
Method Detail

execute

public java.lang.String execute(org.apache.struts.action.ActionMapping mapping,
                                org.apache.struts.action.ActionErrors errors,
                                org.apache.struts.action.ActionForm form,
                                javax.servlet.http.HttpServletRequest request,
                                javax.servlet.http.HttpServletResponse response,
                                javax.servlet.http.HttpSession session)
                         throws com.ivata.mask.util.SystemException
This method does all the hard work, preparing objects for display in the list.

Overrides:
execute in class MaskAction
Parameters:
mapping - Refer to MaskAction.execute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionErrors, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, javax.servlet.http.HttpSession).
errors - Refer to MaskAction.execute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionErrors, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, javax.servlet.http.HttpSession).
form - Refer to MaskAction.execute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionErrors, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, javax.servlet.http.HttpSession).
request - Refer to MaskAction.execute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionErrors, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, javax.servlet.http.HttpSession).
response - Refer to MaskAction.execute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionErrors, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, javax.servlet.http.HttpSession).
session - Refer to MaskAction.execute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionErrors, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, javax.servlet.http.HttpSession).
Returns:
Refer to MaskAction.execute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionErrors, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, javax.servlet.http.HttpSession).
Throws:
com.ivata.mask.util.SystemException - Refer to MaskAction.execute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionErrors, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, javax.servlet.http.HttpSession).


Copyright © 2001-2005 ivata limited. All Rights Reserved.